Subject: Re: [bug#40659] gnu: transmission: Fix icons for GUI. (v2)

From: Raghav Gururajan <[email-masked]>
Date: Thu, 16 Apr 2020 14:24:19 -0400

Hi Leo!

> Okay, then I think we should stick with the status quo. We should only
> add the icons as dependencies when necessary. Icons are something where
> it's better to avoid a static binding, like the time zone database and
> fonts.

I understand.  I think icons should be added as dependencies, when the program
is looking for a 'specific' icon theme. If the situation is like, the program
accepts any user-chosen/user-installed icon theme, then I think icons should
not be added as dependency. But here, transmission is hard-coded to use adwaita
icons. So it is a required dependecy and not optional dependency. :-)

Regards,
RG.